
<!DOCTYPE html>
<html lang="zh-CN">
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width,initial-scale=1,shrink-to-fit=no">
	<title>DedeBIZ帮助中心 - 环境搭建</title>
	<meta name="description" content="DedeBIZ系统基于PHP7版本开发，具有很强的可扩展性，并且完全开放源代码。DedeBIZ支持采用现流行的Go语言设计开发，拥有简单易用、灵活扩展特性之外更安全、高效。模板设计制作简单，一直是系统一大特点，延续之前标签，同时采用响应式模板引擎Bootstrap作为系统模板渲染引擎，让搭建跨终端和移动端全媒体站点更简单。">
	<meta name="keywords" content="DedeBIZ帮助中心">
	
<link rel="shortcut icon" href="/static/img/favicon.ico">
<link rel="stylesheet" href="/static/css/bootstrap.min.css">
<link rel="stylesheet" href="/static/css/font-awesome.min.css">
<link rel="stylesheet" href="/static/css/dedebiz.css?v=1.3">
<script src="/static/js/jquery.min.js"></script>
<script src="/static/js/popper.min.js"></script>
<script src="/static/js/bootstrap.min.js"></script>
<script src="/static/js/template-web.js"></script>
<script src="/static/js/dedebiz.js?v=1.3"></script>
<script>
	template.defaults.rules[1].test = /{%([@#]?)[ \t]*(\/?)([\w\W]*?)[ \t]*%}/;
	template.defaults.imports.dateFormat = function (unixTime, format) {
		return new Date(unixTime * 1000).format(format);
	};
	function formatString(str) {
		
		str = str.toUpperCase().trim();

		
		var result = '';
		for (var i = 0; i < str.length; i++) {
			if (i > 0 && i % 4 === 0 && i !== 12) {
				result += '-';
			}
			result += str.charAt(i);
		}



		return result;
	}
	template.defaults.imports.formatSID = formatString;

	$(function () {
		$('[data-toggle="tooltip"]').tooltip();
	})
</script>

	<style>.article-main>.body img{display:block;border:1px solid #f8f9fa;border-width:.2rem;margin:0 auto}pre{background-color:#f8f9fa;padding:1em}code{white-space:pre-wrap}</style>
</head>
<body class="body-bg">
	
<header class="container header py-3">
	<div class="row">
		<div class="col-6 logo">
			<a href="/"><img src="/static/img/logo.png" alt="DedeBIZ管理系统" title="DedeBIZ管理系统"></a>
		</div>
		<div class="col-6 d-flex justify-content-end user-actions" id="_login">
			<a href="/login">登录/注册</a>
		</div>
	</div>
</header>

	
<nav class="container py-3">
	<div class="row">
		<div class="col-md-12">
			<div class="navbar navbar-expand-md navbar-dark bg-success shadow-sm rounded">
				<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbars" aria-controls="navbars" aria-expanded="false">
					<span class="navbar-toggler-icon"></span>
				</button>
				<div class="collapse navbar-collapse" id="navbars">
					<ul class="navbar-nav mr-auto">
						<li class="nav-item"><a href="/" class="nav-link">首页</a></li>
						<li class="nav-item"><a href="/download" class="nav-link">下载</a></li>
						<li class="nav-item active"><a href="/help" class="nav-link">文档</a></li>
						<li class="nav-item dropdown">
							<a class="nav-link dropdown-toggle" id="dropdown-auth" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">商业支持</a>
							<div class="dropdown-menu" aria-labelledby="dropdown-auth">
								<a href="/auth" class="dropdown-item">商业支持</a>
								<a href="/member/site_main" class="dropdown-item">商业管理</a>
							</div>
						</li>
						<li class="nav-item"><a href="/developer" class="nav-link">贡献者</a></li>
						<li class="nav-item"><a href="/service" class="nav-link">服务</a></li>
						<li class="nav-item"><a href="/git" class="nav-link">代码托管</a></li>
						<li class="nav-item"><a href="/contact" class="nav-link">联系我们</a></li>
					</ul>
				</div>
			</div>
		</div>
	</div>
</nav>

	<div class="container py-3">
		<div class="row">
			<div class="col-md-12">
				<nav aria-label="breadcrumb">
					<ol class="breadcrumb shadow-sm rounded mb-0">
						<li class="breadcrumb-item"><a href="/">主页</a></li>
						<li class="breadcrumb-item active" aria-current="page">DedeBIZ帮助中心</li>
					</ol>
				</nav>
			</div>
		</div>
	</div>
	<div class="container py-3">
		<div class="row">
			<div class="col-md-12">
				<div class="row">
					
					
<div class="col-md-3">
	<div class="bg-white shadow-sm rounded mb-3">
		<ul class="list-group list-group-flush rounded">
			
			
			
			
			<li class="list-group-item justify-content-between align-items-center"><a href="/help/intro.md">系统概况</a></li>
			
			
			
			
			
			
			<li class="list-group-item justify-content-between align-items-center">
				<div data-toggle="collapse" data-target="#ex1">快速入门<span class="fa fa-angle-down ml-2"></span></div>
				<div id="ex1" class="collapse mt-3 show">
					<ul class="list-group list-group-flush">
						
						
						<li class="list-group-item justify-content-between align-items-center rounded active"><a href="/help/quick_env.md">环境搭建</a></li>
						
						
						
						<li class="list-group-item justify-content-between align-items-center rounded"><a href="/help/quick_download.md">下载安装</a></li>
						
						
						
						<li class="list-group-item justify-content-between align-items-center rounded"><a href="/help/tov6.md">升级系统</a></li>
						
						
						
						<li class="list-group-item justify-content-between align-items-center rounded"><a href="/help/quick_type.md">栏目管理</a></li>
						
						
						
						<li class="list-group-item justify-content-between align-items-center rounded"><a href="/help/quick_publish.md">内容发布</a></li>
						
						
						
						<li class="list-group-item justify-content-between align-items-center rounded"><a href="/help/quick_makehtml.md">HTML更新</a></li>
						
						
						
						
						
						<li class="list-group-item justify-content-between align-items-center rounded"><a href="/help/quick_dedebiz_site.md">商业支持申请</a></li>
						
						
					</ul>
				</div>
			</li>
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			<li class="list-group-item justify-content-between align-items-center">
				<div data-toggle="collapse" data-target="#ex99">其他内容<span class="fa fa-angle-down ml-2"></span></div>
				<div id="ex99" class="collapse mt-3">
					<ul class="list-group list-group-flush">
						
						
						<li class="list-group-item justify-content-between align-items-center rounded"><a href="/help/other_markdown.md">Markdown说明文档</a></li>
						
						
						
						<li class="list-group-item justify-content-between align-items-center rounded"><a href="/help/ai.md">智能助手使用手册</a></li>
						
						
						
						
						
						
						
						
						
						
					</ul>
				</div>
			</li>
			
			
			
		</ul>
	</div>
</div>

					
					<div class="col-md-9">
						<div class="input-group mb-3">
							<form class="search" name="formsearch" action="/help_search">
								<input name="q" type="text" class="form-control" placeholder="输入搜索关键词">
								<div class="input-group-append">
									<button class="btn" type="submit"><i class="fa fa-search"></i></button>
								</div>
							</form>
						</div>
						<div class="media-body article-main bg-white shadow-sm rounded p-4">
							<div class="body">
								
								<h1 id="dedebiz">DedeBIZ环境搭建</h1>
<p>DedeBIZ系统基于PHP+MySQL开发，同时数据库支持SQLite3用于本地开发调试。本篇主要从开发、生产两个部分来介绍如何筹备Dede系统需要的运营环境。</p>
<h2 id="heading">推荐运行环境</h2>
<p>1.操作系统：Linux、Windows、OpenBSD</p>
<p>2.PHP：PHP7.2+</p>
<p>3.MySQL：MySQL5+</p>
<p>5.Web服务器：Nginx、Apache、IIS</p>
<h2 id="heading-1">开发环境</h2>
<p>构建一个最小的开发环境，仅仅为了体验或者制作模板，DedeBIZ会非常简单。从PHP5.4开始，PHP本身就包含了一个轻量级的开发Web Server，无需依赖任何第三方Web组件。</p>
<h3 id="php">下载PHP</h3>
<p>根据操作系统选择对应平台的PHP环境，由于我们开发环境采用Windows系统，可以通过<a href="https://windows.php.net/download/" rel="nofollow">PHP的Windows站点</a>下载到相应的程序包。</p>
<h3 id="php-1">安装PHP环境</h3>
<p>下载对应的版本，解下压缩文件，我们可以将解压的压缩文件目录，例如<code>D:\apps\php</code>添加到系统环境PATH变量中去。</p>
<p>复制<code>php.ini-development</code>文件名为<code>php.ini</code>，修改这个<code>php.ini</code>文件。</p>
<p>我们需要保证开启几个DedeBIZ系统需要的基本组件。</p>
<pre><code>extension_dir = &#34;ext&#34; ;由于是Windows环境，设定下载扩展目录
extension=curl     ;开启后主要用于HTTP通信，比如获取远程服务器数据信息、接口调用
extension=gd2      ;验证码
extension=mysqli   ;数据库存储
extension=openssl  ;用于系统安全校验、授权
extension=sockets  ;用于和DedeB商业组件通信
extension=sqlite3  ;开发环境下的SQLite3数据库
extension=fileinfo ;文件上传处理
</code></pre>
<p>好了，一个轻量级的PHP环境搭建完毕了，如果是Linux下面例如Ubuntu系统，通过<code>sudo apt install php php-cli openssl php-gd php-mysql php-sqlite3 php-sockets php-fileinfo</code>。</p>
<h3 id="php-2">运行PHP</h3>
<p>在DedeBIZ系统src目录下采用PHP内置的Web Server运行，执行命令<code>php -S localhost:8088 -t .</code>，访问地址<code>http://localhost:8088</code>就可以访问到DedeBIZ安装界面。</p>
<p>或者采用DedeBIZ自带的命令行工具，可以轻松构建一个开发环境，执行命令行<code>php ./dedebiz q</code>就可以快速初始化一个本地开发站点，或者运行<code>php ./dedebiz s</code>，通过安装步骤自己可以初始化一个轻量级的系统开发环境。</p>
<h2 id="heading-2">生产环境</h2>
<p>生产环境建议采用Nginx+PHP-FPM的方式运行DedeBIZ，这里我们以在<a href="http://releases.ubuntu.com/focal/" rel="nofollow">Ubuntu 20.04 LTS</a>的Linux环境下为例。</p>
<h3 id="nginx">安装Nginx</h3>
<p>执行命令<code>sudo apt install nginx</code>，系统将会自动安装Nginx服务器。通过执行<code>systemctl status nginx</code>可以查看Nginx服务运行状态。</p>
<p>如果你的服务器环境启用了防火墙，可以执行<code>sudo ufw allow proto tcp from any to any port 80,443</code>来允许80、443端口访问站点。</p>
<h3 id="php-3">安装PHP</h3>
<p>执行命令<code>sudo apt install php php-cli php-fpm php-json php-mysql php-zip php-gd php-curl php-sqlite3 php-sockets</code>来安装PHP及相关组件。</p>
<p>系统默认会安装PHP7.4版本，运行<code>systemctl status php7.4-fpm.service</code>查看PHP服务运行情况。</p>
<h3 id="mysql">安装MySQL</h3>
<p>执行命令<code>sudo apt install mysql-server</code>安装MySQL服务，同样，通过<code>systemctl status mysql</code>也能够查看服务运行情况。</p>
<p>执行命令<code>sudo mysql_secure_installation</code>根据提示初始化数据库，如果希望了解更为详细的步骤，可以<a href="https://www.baidu.com/s?wd=ubuntu%2020.04%20%E5%AE%89%E8%A3%85mysql" rel="nofollow">尝试通过搜索引擎了解</a>。</p>
<h3 id="heading-3">配置站点</h3>
<p>我们先创建一个PHP环境的Web站点，可以在系统目录<code>/var/www</code>下创建一个名为<code>DedeBIZ</code>的文件夹。</p>
<p>修改<code>/etc/nginx/sites-available/default</code>文件。</p>
<p>配置如下：</p>
<pre><code>server {
	listen 80;
	server_name www.mydomain.com; # 这里是你自己的站点域名
	index index.html index.php;
	charset utf-8;
	root /var/www/DedeBIZ/src;
	location ~ \.php$ {
		include snippets/fastcgi-php.conf;
		fastcgi_pass unix:/var/run/php/php7.4-fpm.sock;
	}
}
</code></pre>
<p>至此我们完成了一个DedeBIZ的运行环境的搭建。</p>
<h3 id="heading-4">站点安全配置示例</h3>
<p>下面是一个HTTPS站点Nginx生产环境运行实例，将前后台通过站点的方式进行分离，并且通过限定IP的方式保证后台独立出来。</p>
<pre><code>server {
    listen 80;
    server_name www.dedebiz.com dedebiz.com;
    return 301 https://www.dedebiz.com$request_uri;
    # return 404;
}

server {
	listen 443 ssl;
	server_name dedebiz.com;

	charset utf-8;

	ssl_certificate      /etc/nginx/ssl/1_dedebiz.com_bundle.crt;
	ssl_certificate_key  /etc/nginx/ssl/2_dedebiz.com.key;

	ssl_session_cache    shared:SSL:1m;
	ssl_session_timeout  5m;

	ssl_ciphers ECDHE-RSA-AES128-GCM-SHA256:ECDHE:ECDH:AES:HIGH:!NULL:!aNULL:!MD5:!ADH:!RC4;
	ssl_protocols TLSv1 TLSv1.1 TLSv1.2;
	ssl_prefer_server_ciphers  on;

	ssl on;

	return 301 https://www.dedebiz.com$request_uri;
}

server {
	listen 443 ssl;
	server_name www.dedebiz.com;

	index index.html index.php;

	charset utf-8;

	ssl_certificate      /etc/nginx/ssl/1_www.dedebiz.com_bundle.crt;
	ssl_certificate_key  /etc/nginx/ssl/2_www.dedebiz.com.key;

	ssl_session_cache    shared:SSL:1m;
	ssl_session_timeout  5m;

	ssl_ciphers ECDHE-RSA-AES128-GCM-SHA256:ECDHE:ECDH:AES:HIGH:!NULL:!aNULL:!MD5:!ADH:!RC4;
	ssl_protocols TLSv1 TLSv1.1 TLSv1.2;
	ssl_prefer_server_ciphers  on;

	ssl on;

	root /data/dedebiz/www/src;

	location ~ /(admin|system|data|theme) {
		deny all;
		return 404;
	}

	location ~ \.php$ {
		include snippets/fastcgi-php.conf;
		fastcgi_pass unix:/var/run/php/php7.2-fpm.sock;
	}
}


server {
	listen 443 ssl;
	server_name adm.dedebiz.com;

	index index.html index.php;

	root /data/dedebiz/www/src;

	ssl_certificate      /etc/nginx/ssl/1_adm.dedebiz.com_bundle.crt;
	ssl_certificate_key  /etc/nginx/ssl/2_adm.dedebiz.com.key;

	ssl_session_cache    shared:SSL:1m;
	ssl_session_timeout  5m;

	ssl_ciphers ECDHE-RSA-AES128-GCM-SHA256:ECDHE:ECDH:AES:HIGH:!NULL:!aNULL:!MD5:!ADH:!RC4;
	ssl_protocols TLSv1 TLSv1.1 TLSv1.2;
	ssl_prefer_server_ciphers  on;

	ssl on;

	allow 88.88.88.88;  # 设定网站管理员的IP地址
	deny  all;

	location ~ \.php$ {
		include snippets/fastcgi-php.conf;
		fastcgi_pass unix:/var/run/php/php7.2-fpm.sock;
	}
}
</code></pre>

								
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	
<footer class="container py-3">
	<div class="col-sm-12">
		<div class="row">
			<div class="copyright shadow-sm rounded p-4">
				<div class="d-inline-block">
					<p>
						<a href="/license" target="_blank">授权协议</a>
						<a href="https://www.zhelixie.com" target="_blank" title="代码托管平台">这里写</a>
						<a href="/contact">联系我们</a>
					</p>
					<p>
						<a href="https://www.dedebiz.com">Copyright © 2025 穆云智能科技 版权所有</a>
						<a href="https://beian.miit.gov.cn/" target="_blank">沪ICP备2020028732号</a>
						<a href="https://www.dedebiz.com/auth?domain=www.dedebiz.com" target="_blank"><img src="/static/img/cert_icon.png" alt="DedeBIZ授权证书" title="DedeBIZ授权证书" class="img-br-xs"></a>
					</p>
				</div>
				<div class="float-right text-center ewm">
					<img src="/static/img/ewm.jpg" alt="DedeBIZ交流群" title="DedeBIZ交流群" class="img-br-xs">
					<span>QQ交流群</span>
				</div>
			</div>
		</div>
	</div>
</footer>
<div class="scroll-top">
	<button onclick="gotop()" id="btnScrollTop" title="返回顶部"><i class="fa fa-chevron-up"></i></button>
</div>
<script src="/static/js/user.js"></script>
<script>
	$(document).ready(async function () {
		await CheckLogin();
	});
</script>
<div class="d-none"><script>
	var _hmt = _hmt || [];
	(function() {
		  var hm = document.createElement("script");
		  hm.src = "https://hm.baidu.com/hm.js?94df809e1fafc25add5266f18c9dd3b4";
		  var s = document.getElementsByTagName("script")[0]; 
		  s.parentNode.insertBefore(hm, s);
	})();
</script>
</div>

</body>
</html>
